public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/vagrant/, app-emulation/vagrant/files/
Date: Tue, 15 Nov 2016 22:29:04 +0000 (UTC)	[thread overview]
Message-ID: <1479248898.5f3c7b29b4a9a51246a170cf071c42126dba3cef.soap@gentoo> (raw)

commit:     5f3c7b29b4a9a51246a170cf071c42126dba3cef
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Tue Nov 15 06:33:05 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Nov 15 22:28:18 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f3c7b29

app-emulation/vagrant: version bump to 1.8.7

Package-Manager: portage-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/2837

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-emulation/vagrant/Manifest             |  1 +
 app-emulation/vagrant/files/vagrant-1.8.7  | 46 ++++++++++++++++
 app-emulation/vagrant/vagrant-1.8.7.ebuild | 88 ++++++++++++++++++++++++++++++
 3 files changed, 135 insertions(+)

diff --git a/app-emulation/vagrant/Manifest b/app-emulation/vagrant/Manifest
index ee34b31..e1078af 100644
--- a/app-emulation/vagrant/Manifest
+++ b/app-emulation/vagrant/Manifest
@@ -1,3 +1,4 @@
 DIST vagrant-1.8.4.tar.gz 1736344 SHA256 a5ded3bc343ac1f30e09decab0c844639de45b16578600bdc4a0cdfe73b4d223 SHA512 0465a2e9eea87d5e7a13666dad32b8d4bc0bcd3ebcd0a752ad330e6e2aaeeeaab37e139f1de6bad859b1e8088a7ad9e12f395b95e679e6babf86c38a470d8568 WHIRLPOOL 35124df7062c70a80bf77a73bc6b4d551a8a965dd3a75181510ebc78c985432ea9517c9d8573eea60534aff827d4ddf983bfc355ed9f8bcc799dd9773c2b89e9
 DIST vagrant-1.8.5.tar.gz 1738399 SHA256 e6882f9b44a52888760c34d6c43e3fa3f118e9eb96730bcd466cd8ae948c3126 SHA512 b1e162b870fb991c42c98704cf7ad10ebe6090bacb00376e5b5684734508300847e9065393c33b49699ec884f12f8c48150b3cea2e17ba009917578817dd2f6b WHIRLPOOL bb535b3598e7224112326e3033fe38fccea54b18527954a5849e8cbdc1ebc9521294c6699335eacc0d32476731bb3e522a52e071e620c72c12c546fb62c4583c
 DIST vagrant-1.8.6.tar.gz 1749696 SHA256 de1204c56feeeb327f542e58d39c9dd55fef78a9b753594a3b30e330d72d23e4 SHA512 dba8226b4039a8fa3587254f5d57fb7c967dde993aa87cffd745d7e176d2f78b45830e04711d90e48bca47197b11d1a46e34bf29e5bc0e1d6d78eecb2e636e36 WHIRLPOOL 3c32f00a4b4d773d6f795ad8a088c4a4316d612a8d4504348f2d2790bfc38bf5299a9e730c28b721858a36cff4210b322e8f6225b144e37282689c3beee1971b
+DIST vagrant-1.8.7.tar.gz 1756302 SHA256 5371d39679d40d4f6913728dd3d93c103e74c76ecc813710191a2c378b83a1e2 SHA512 b9cffded481b03d676d5815b1d6ba55b56cd5ae8ac7ddbaca19f36880df8cd3fdc9efc240782001619bd3790518e192ba82e8bbde2e4eba12894e78603e6a3b7 WHIRLPOOL 37e4dfe3b4f4681c01887ce75ec035cc8efdf2950b2d04bac0793dd527d65d3f7c991880e7fb402831eb746bb3cb1f84cf7b4529316435b007d6a0cf682f3393

diff --git a/app-emulation/vagrant/files/vagrant-1.8.7 b/app-emulation/vagrant/files/vagrant-1.8.7
new file mode 100644
index 00000000..aa744d5e
--- /dev/null
+++ b/app-emulation/vagrant/files/vagrant-1.8.7
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+#
+# This is a wrapper to properly execute Vagrant within the embedded
+# Vagrant installation directory. This sets up proper environmental variables
+# so that everything loads and compiles to proper directories.
+
+VAGRANT_DIR="$( ruby -e 'print Gem::default_path[-1] + "/gems/vagrant-1.8.7"' )"
+
+# Export GEM_HOME based on VAGRANT_HOME
+#
+# This needs to be set because Bundler includes gem paths
+# from RubyGems' Gem.paths.
+if [ -z $VAGRANT_HOME ]; then
+  VAGRANT_HOME=$(eval echo "~/.vagrant.d")
+fi
+export GEM_HOME="$VAGRANT_HOME/gems"
+
+# SSL certs
+export SSL_CERT_FILE="/etc/ssl/certs/ca-certificates.crt"
+
+# Export an environmental variable to say we're in a Vagrant
+# installer created environment.
+export VAGRANT_INSTALLER_ENV=1
+
+# This is currently used only in Vagrant::Plugin::Manager.system_plugins_file
+# to locate plugins configuration file.
+export VAGRANT_INSTALLER_EMBEDDED_DIR="/var/lib/vagrant"
+export VAGRANT_INSTALLER_VERSION="2"
+
+# Determine the OS that we're on, which is used in some later checks.
+# It is very important we do this _before_ setting the PATH below
+# because uname dependencies can conflict on some platforms.
+OS=$(uname -s 2>/dev/null)
+
+# Export the OS as an environmental variable that Vagrant can access
+# so that it can behave better.
+export VAGRANT_DETECTED_OS="${OS}"
+
+VAGRANT_EXECUTABLE="${VAGRANT_DIR}/bin/vagrant"
+VAGRANT_LAUNCHER="${VAGRANT_DIR}/lib/vagrant/pre-rubygems.rb"
+
+# Export the VAGRANT_EXECUTABLE so that pre-rubygems can optimize a bit
+export VAGRANT_EXECUTABLE
+
+# Call the actual Vagrant bin with our arguments
+exec ruby "${VAGRANT_LAUNCHER}" "$@"

diff --git a/app-emulation/vagrant/vagrant-1.8.7.ebuild b/app-emulation/vagrant/vagrant-1.8.7.ebuild
new file mode 100644
index 00000000..7a735d7
--- /dev/null
+++ b/app-emulation/vagrant/vagrant-1.8.7.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="vagrant.gemspec"
+RUBY_FAKEGEM_EXTRAINSTALL="keys plugins templates version.txt"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit bash-completion-r1 ruby-fakegem eutils
+
+DESCRIPTION="A tool for building and distributing development environments"
+HOMEPAGE="http://vagrantup.com/"
+SRC_URI="https://github.com/mitchellh/vagrant/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+virtualbox"
+
+RDEPEND="${RDEPEND}
+	app-arch/libarchive
+	net-misc/curl
+	virtualbox? ( || ( app-emulation/virtualbox app-emulation/virtualbox-bin ) )"
+
+ruby_add_rdepend "
+	>=dev-ruby/bundler-1.12.5
+	>=dev-ruby/childprocess-0.5.0
+	>=dev-ruby/erubis-2.7.0
+	>=dev-ruby/i18n-0.6.0:* <dev-ruby/i18n-0.8.0:*
+	>=dev-ruby/listen-3.1.5
+	>=dev-ruby/hashicorp-checkpoint-0.1.1
+	>=dev-ruby/log4r-1.1.9 <dev-ruby/log4r-1.1.11
+	>=dev-ruby/net-ssh-3.0.1
+	>=dev-ruby/net-sftp-2.1
+	>=dev-ruby/net-scp-1.1.0
+	|| ( >=dev-ruby/rest-client-1.6.0:0 dev-ruby/rest-client:2 )
+	>=dev-ruby/nokogiri-1.6.7.1
+	>=dev-ruby/mime-types-2.6.2:* <dev-ruby/mime-types-3:*
+"
+
+ruby_add_bdepend "
+	dev-ruby/rake
+"
+
+all_ruby_prepare() {
+	# remove bundler support
+	sed -i '/[Bb]undler/d' Rakefile || die
+	rm Gemfile || die
+
+	# loosen dependencies
+	sed -e '/hashicorp-checkpoint\|listen\|net-ssh\|net-scp/s/~>/>=/' \
+		-e '/ruby_dep/s/<=/>=/' \
+		-e '/nokogiri\|bundler/s/=/>=/' \
+		-i ${PN}.gemspec || die
+
+	# remove windows-specific gems
+	sed -e '/wdm\|winrm/d' \
+		-i ${PN}.gemspec || die
+
+	# remove bsd-specific gems
+	sed -e '/rb-kqueue/d' \
+		-i ${PN}.gemspec || die
+
+	# see https://github.com/mitchellh/vagrant/pull/5877
+	epatch "${FILESDIR}"/${PN}-1.8.4-install-plugins-in-isolation.patch
+
+	# disable embedded CA certs and use system ones
+	epatch "${FILESDIR}"/${PN}-1.8.1-disable-embedded-cacert.patch
+
+	# fix rvm issue (bug #474476)
+	epatch "${FILESDIR}"/${PN}-1.8.1-rvm.patch
+}
+
+all_ruby_install() {
+	newbashcomp contrib/bash/completion.sh ${PN}
+	all_fakegem_install
+
+	# provide executable similar to upstream:
+	# https://github.com/mitchellh/vagrant-installers/blob/master/substrate/modules/vagrant_installer/templates/vagrant.erb
+	newbin "${FILESDIR}/${P}" "${PN}"
+
+	# directory for plugins.json
+	dodir /var/lib/vagrant
+}


             reply	other threads:[~2016-11-15 22:29 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-15 22:29 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-27 16:59 [gentoo-commits] repo/gentoo:master commit in: app-emulation/vagrant/, app-emulation/vagrant/files/ Hans de Graaff
2021-09-28  1:01 Sam James
2020-01-01  6:16 Georgy Yakovlev
2020-01-01  4:49 Georgy Yakovlev
2019-05-20 18:58 Georgy Yakovlev
2019-05-20 18:56 Georgy Yakovlev
2018-12-01  3:25 Georgy Yakovlev
2017-11-06  7:37 Amy Liffey
2017-09-10 21:24 Patrice Clement
2017-08-16 14:24 Michał Górny
2017-07-16 22:14 Patrice Clement
2017-04-24 14:51 Amy Liffey
2016-12-22  9:28 Patrice Clement
2016-12-22  9:28 Patrice Clement
2016-08-06 13:05 Sebastian Pipping
2016-01-20  7:19 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1479248898.5f3c7b29b4a9a51246a170cf071c42126dba3cef.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox